// demo_vcDlg.h : header file
//

#if !defined(AFX_DEMO_VCDLG_H__1A0B559F_323E_457C_B38D_A521FC80110B__INCLUDED_)
#define AFX_DEMO_VCDLG_H__1A0B559F_323E_457C_B38D_A521FC80110B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//SDK interface definitions.
typedef long (__stdcall *_FapCreatePDF)(char *filename);
typedef void (__stdcall *_FapClosePDF)(long id);
typedef long (__stdcall *_FapSetPDFSecurity)(long id,long level,long limit,char *userpassword,char *ownerpassword);
typedef long (__stdcall *_FapSetPDFInfo)(long id,char *title,char *subject,char *author,char *keyword,char *creator);
typedef long (__stdcall *_FapAddPS)(long id,char *filename);
typedef long (__stdcall *_FapConvert)(long id);

//document permissions
const PERMISSION_PRINT = 1;
const PERMISSION_COPY = 2;
const PERMISSION_MODIFY = 4;

//Encryption Level
const RC4_40BITS = 40;
const RC4_128BITS = 128;

/////////////////////////////////////////////////////////////////////////////
// CDemo_vcDlg dialog

class CDemo_vcDlg : public CDialog
{
private:
	HMODULE        m_hDll;
	_FapCreatePDF  apCreatePDF;
	_FapClosePDF   apClosePDF;
	_FapAddPS      apAddPS;
	_FapConvert    apConvert;
	_FapSetPDFInfo apSetPDFInfo;
	_FapSetPDFSecurity apSetPDFSecurity;
	
	BOOL LoadDLL();  //Load dynamic link library "ps2pdf.dll"!
	BOOL FreeDLL();  //free dynamic link library "ps2pdf.dll"!
// Construction
public:
	CDemo_vcDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDemo_vcDlg)
	enum { IDD = IDD_DEMO_VC_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDemo_vcDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDemo_vcDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonDemo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEMO_VCDLG_H__1A0B559F_323E_457C_B38D_A521FC80110B__INCLUDED_)
