// demo_vcDlg.cpp : implementation file
//

#include "stdafx.h"
#include "demo_vc.h"
#include "demo_vcDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDemo_vcDlg dialog

CDemo_vcDlg::CDemo_vcDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDemo_vcDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDemo_vcDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CDemo_vcDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDemo_vcDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDemo_vcDlg, CDialog)
	//{{AFX_MSG_MAP(CDemo_vcDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON_DEMO, OnButtonDemo)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDemo_vcDlg message handlers

BOOL CDemo_vcDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDemo_vcDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CDemo_vcDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDemo_vcDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

//Load dynamic link library "ps2pdf.dll"!
BOOL CDemo_vcDlg::LoadDLL(){
	char sDllFile[]="ps2pdf.dll";

	m_hDll = LoadLibrary(sDllFile);
	if( m_hDll == NULL ) return FALSE;

	apCreatePDF=(_FapCreatePDF)GetProcAddress(m_hDll,"_CreatePDF@4");
	if(apCreatePDF==NULL) goto ERR_FLAG;

	apClosePDF=(_FapClosePDF)GetProcAddress(m_hDll,"_ClosePDF@4");
	if(apClosePDF==NULL) goto ERR_FLAG;

	apSetPDFSecurity=(_FapSetPDFSecurity)GetProcAddress(m_hDll,"_SetPDFSecurity@20");
	if(apSetPDFSecurity==NULL) goto ERR_FLAG;

	apSetPDFInfo=(_FapSetPDFInfo)GetProcAddress(m_hDll,"_SetPDFInfo@24");
	if(apSetPDFInfo==NULL) goto ERR_FLAG;

	apAddPS=(_FapAddPS)GetProcAddress(m_hDll,"_AddPS@8");
	if(apAddPS==NULL) goto ERR_FLAG;

	apConvert=(_FapConvert)GetProcAddress(m_hDll,"_Convert@4");
	if(apConvert==NULL) goto ERR_FLAG;

	return TRUE;

ERR_FLAG:
	FreeDLL(); 
	return FALSE;
}

//Free dynamic link library "ps2pdf.dll"!
BOOL CDemo_vcDlg::FreeDLL(){
	if( m_hDll ){
        FreeLibrary(m_hDll);
        m_hDll = NULL;
		apCreatePDF = NULL;
		apClosePDF = NULL;
		apSetPDFSecurity = NULL;
		apSetPDFInfo = NULL;
		apSetPDFInfo = NULL;
		apAddPS = NULL;
		apConvert = NULL;
	}
	return TRUE;
}

//Converting several ps/eps files to one pdf file.
void CDemo_vcDlg::OnButtonDemo() 
{
	// TODO: Add your control notification handler code here
	long id = NULL;
	long iPermission = 0;
	char sUserPw[] = "user";
	char sOwnerPw[] = "owner";

	// Load dynamic link library "ps2pdf.dll"!
	if( !LoadDLL() ) return;

	if( id = apCreatePDF("test_mm.pdf") ){
        //setting pdf header information
        apSetPDFInfo(id, "title", "subject", "author", "keywords", "createor");

        //setting pdf security
        iPermission = PERMISSION_PRINT | PERMISSION_COPY | PERMISSION_MODIFY;
        apSetPDFSecurity(id, RC4_128BITS, iPermission, sUserPw, sOwnerPw);

        //add PS/EPS files
        apAddPS(id, "./ps_files/test1.ps");
        apAddPS(id, "./ps_files/test2.ps");
        apAddPS(id, "./ps_files/test3.ps");

        //starting convet
        apConvert(id);
        
        //close pdf file
        apClosePDF(id);
	}

	// Free dynamic link library "ps2pdf.dll"!
	FreeDLL();
}
